| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
oyConnectorImaging_s Struct Reference
DAG and Image processing API

Node connection descriptor. More...

`#include <oyConnectorImaging_s.h>`

Inheritance diagram for oyConnectorImaging_s:
Collaboration diagram for oyConnectorImaging_s:

## Public Member Functions
OYAPI oyConnectorImaging_s *OYEXPORT | oyConnectorImaging_New (oyObject_s object)
| allocate a new ConnectorImaging object More...
OYAPI oyConnectorImaging_s *OYEXPORT | oyConnectorImaging_Copy (oyConnectorImaging_s *connectorimaging, oyObject_s object)
| copy or reference a ConnectorImaging object More...
OYAPI int OYEXPORT | oyConnectorImaging_Release (oyConnectorImaging_s **connectorimaging)
| release and possibly deallocate a oyConnectorImaging_s object More...
OYAPI int OYEXPORT | oyConnectorImaging_GetDataTypes (oyConnectorImaging_s *c, const oyDATATYPE_e **data_types, int *data_types_n)
| Get capabilities of oyConnectorImaging_s. More...
OYAPI int OYEXPORT | oyConnectorImaging_GetChannelTypes (oyConnectorImaging_s *c, const oyCHANNELTYPE_e **channel_types, int *channel_types_n)
| Get capabilities of oyConnectorImaging_s. More...
OYAPI int OYEXPORT | oyConnectorImaging_GetCapability (oyConnectorImaging_s *c, oyCONNECTOR_IMAGING_CAP_e type)
| Get capabilities of oyConnectorImaging_s. More...
Public Member Functions inherited from oyConnector_s
OYAPI oyConnector_s *OYEXPORT | oyConnector_New (oyObject_s object)
| allocate a new Connector object More...
OYAPI oyConnector_s *OYEXPORT | oyConnector_Copy (oyConnector_s *connector, oyObject_s object)
| copy or reference a Connector object More...
OYAPI int OYEXPORT | oyConnector_Release (oyConnector_s **connector)
| release and possibly deallocate a oyConnector_s object More...
int | oyConnector_SetName (oyConnector_s *obj, const char *string, oyNAME_e type)
| set the names in a connector More...
const char * | oyConnector_GetName (oyConnector_s *obj, oyNAME_e type)
| set the names in a connector More...
int | oyConnector_IsPlug (oyConnector_s *obj)
| Is this connector a plug or a socket. More...
int | oyConnector_SetIsPlug (oyConnector_s *obj, int is_plug)
| Set this connector as a plug or a socket. More...
const char * | oyConnector_GetReg (oyConnector_s *obj)
| Get the registration for the connection type. More...
int | oyConnector_SetReg (oyConnector_s *obj, const char *type_registration)
| Set this connectors type string. More...
int | oyConnector_SetMatch (oyConnector_s *obj, oyCMMFilterSocket_MatchPlug_f func)
| Set this connectors type check function. More...
oyCMMFilterSocket_MatchPlug_f | oyConnector_GetMatch (oyConnector_s *obj)
| Set this connectors type check function. More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get a text dump More...

## Data Fields
oyStruct_Copy_f | copy
oyStruct_Release_f | release
Data Fields inherited from oyConnector_s
oyStruct_Copy_f | copy
oyStruct_Release_f | release
Data Fields inherited from oyStruct_s
oyStruct_Copy_f | copy
oyStruct_Release_f | release

## Detailed Description

Node connection descriptor.

This structure holds informations about the connection capabilities. It holds common structure members of oyFilterPlug_s and oyFilterSocket_s.

To signal a value is not initialised or does not apply, set the according integer value to -1.

Todo:
  generalise the connector properties

Version
  Oyranos: 0.1.10

Since
  2008/07/26 (Oyranos: 0.1.8)

Date
  2010/06/25

## Member Function Documentation

OYAPI oyConnectorImaging_s *OYEXPORT oyConnectorImaging_Copy | ( | oyConnectorImaging_s * | connectorimaging,
|  | oyObject_s | object
| ) |  |

copy or reference a ConnectorImaging object

Function oyConnectorImaging_Copy

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | connectorimaging | ConnectorImaging struct object
  | object | NULL - means reference, the optional object triggers a real copy

References oyOBJECT_CONNECTOR_IMAGING_S.

OYAPI int OYEXPORT oyConnectorImaging_GetCapability | ( | oyConnectorImaging_s * | c,
|  | oyCONNECTOR_IMAGING_CAP_e | type
| ) |  |

Get capabilities of oyConnectorImaging_s.

Function oyConnectorImaging_GetDataTypes

Version
  Oyranos: 0.5.0

Date
  2012/09/06

Since
  2012/09/06 (Oyranos: 0.5.0)

References oyCONNECTOR_IMAGING_CAP_CAN_INTERWOVEN, oyCONNECTOR_IMAGING_CAP_CAN_PLANAR, oyCONNECTOR_IMAGING_CAP_CAN_REVERT, oyCONNECTOR_IMAGING_CAP_CAN_SUBPIXEL, oyCONNECTOR_IMAGING_CAP_CAN_SWAP, oyCONNECTOR_IMAGING_CAP_CAN_SWAP_BYTES, oyCONNECTOR_IMAGING_CAP_ID, and oyOBJECT_CONNECTOR_IMAGING_S.

OYAPI int OYEXPORT oyConnectorImaging_GetChannelTypes | ( | oyConnectorImaging_s * | c,
|  | const oyCHANNELTYPE_e ** | channel_types,
|  | int * | channel_types_n
| ) |  |

Get capabilities of oyConnectorImaging_s.

Function oyConnectorImaging_GetChannelTypes

Version
  Oyranos: 0.5.0

Date
  2012/09/06

Since
  2012/09/06 (Oyranos: 0.5.0)

References oyOBJECT_CONNECTOR_IMAGING_S.

OYAPI int OYEXPORT oyConnectorImaging_GetDataTypes | ( | oyConnectorImaging_s * | c,
|  | const oyDATATYPE_e ** | data_types,
|  | int * | data_types_n
| ) |  |

Get capabilities of oyConnectorImaging_s.

Function oyConnectorImaging_GetDataTypes

Version
  Oyranos: 0.5.0

Date
  2012/09/06

Since
  2012/09/06 (Oyranos: 0.5.0)

References oyOBJECT_CONNECTOR_IMAGING_S.

OYAPI oyConnectorImaging_s *OYEXPORT oyConnectorImaging_New | ( | oyObject_s | object | ) |

allocate a new ConnectorImaging object

Function oyConnectorImaging_New

References oyOBJECT_OBJECT_S.

OYAPI int OYEXPORT oyConnectorImaging_Release | ( | oyConnectorImaging_s ** | connectorimaging | ) |

release and possibly deallocate a oyConnectorImaging_s object

Function oyConnectorImaging_Release

Parameters

  [in,out] | connectorimaging | ConnectorImaging struct object

References oyOBJECT_CONNECTOR_IMAGING_S.

## Field Documentation

oyStruct_Copy_f oyConnectorImaging_s::copy

copy function

oyStruct_Release_f oyConnectorImaging_s::release

release function